%define srcname gevent
%define with_system_libev 1
%define with_system_c_ares 1
%define with_tests 0

# with fixes from
# https://github.com/pld-linux/python-gevent/blob/master/python-gevent.spec

Name:		python-%{srcname}
Version:	1.1.1
Release:	%mkrel 1
Summary:	A coroutine-based Python networking library
License:	MIT
Group:		Development/Python
Url:		http://www.gevent.org/
Source0:	http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:	glibc-devel
BuildRequires:	python-devel
BuildRequires:  python3-devel
# Needed for tests
BuildRequires:  lsof
%{?with_system_libev:BuildRequires:    c-ares-devel >= 1.10.0}
%{?with_system_c_ares:BuildRequires:   libev-devel >= 4.11}
%{?with_tests:BuildRequires: python-greenlet}

Requires:   pythonegg(2)(greenlet)


%description
Gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%package -n python3-%{srcname}
Summary: A coroutine-based Python3 networking library
Requires:   pythonegg(3)(greenlet)
%{?with_tests:BuildRequires: python3-greenlet}

%description -n python3-%{srcname}
Gevent is a coroutine-based Python3 networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
# Syntax error in python3
rm gevent/_util_py2.py 
popd
# Syntax error in python2
rm gevent/_socket3.py


%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libev" \
%{?with_system_libev:LIBEV_EMBED=false} \
%{?with_system_c_ares:CARES_EMBED=false} \
%{__python2}  setup.py build
%if 0%{?with tests}
cd greentest
PATH=/usr/sbin:$PATH PYTHONPATH=.. %{__python} testrunner.py --config ../known_failures.py
cd ..
%endif

pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libev" \
%{?with_system_libev:LIBEV_EMBED=false} \
%{?with_system_c_ares:CARES_EMBED=false} \
%{__python3} setup.py build
%if 0%{?with tests}
cd greentest
PATH=/usr/sbin:$PATH PYTHONPATH=.. %{__python3} testrunner.py --config ../known_failures.py
cd ..
%endif
popd

%install
pushd %{py3dir}
%{?with_system_libev:LIBEV_EMBED=false} \
%{?with_system_c_ares:CARES_EMBED=false} \
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
popd
%{?with_system_libev:LIBEV_EMBED=false} \
%{?with_system_c_ares:CARES_EMBED=false} \
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%{python2_sitearch}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitearch}/%{srcname}*


%changelog
* Tue Apr 26 2016 joequant <joequant> 1.1.1-1.mga6
+ Revision: 1006312
- upgrade to 1.1.1

* Fri Feb 12 2016 umeabot <umeabot> 1.1b5-3.mga6
+ Revision: 958598
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 1.1b5-2.mga6
+ Revision: 887390
- upgrade to python 3.5

* Sun Sep 27 2015 joequant <joequant> 1.1b5-1.mga6
+ Revision: 884183
- update to 1.1b5

* Thu Sep 17 2015 joequant <joequant> 1.1b4-3.mga6
+ Revision: 880022
- bump version
- add with_tests check
- remove test
- refresh build
- add failure
- add urllib2 test to known failures
- update to 1.1b4
- add greenlet requires for tests
- upgrade to 1.1b1 with python3
- upgrade to 1.0.1

* Thu Jan 08 2015 joequant <joequant> 0.13.8-9.mga5
+ Revision: 809280
- python3 fixes

* Wed Oct 29 2014 joequant <joequant> 0.13.8-8.mga5
+ Revision: 794472
- revert to old version with 2to3 and requires fixes
- python2 package was including python3

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Fri Sep 12 2014 joequant <joequant> 1.0.1-1.mga5
+ Revision: 674845
- update to 1.0.1 - previous version broken with python update

* Wed Sep 10 2014 bcornec <bcornec> 0.13.8-7.mga5
+ Revision: 674556
- make python-gevent python 3 compatible

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Oct 23 2013 philippem <philippem> 0.13.8-5.mga4
+ Revision: 546532
- fix pythonegg

* Tue Oct 22 2013 umeabot <umeabot> 0.13.8-4.mga4
+ Revision: 543615
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.13.8-3.mga4
+ Revision: 498670
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.13.8-2.mga3
+ Revision: 378892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.13.8-1.mga3
+ Revision: 298233
- New version

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.13.7-4.mga3
+ Revision: 283889
- Rebuild for new python-greenlet

* Fri Jul 13 2012 obgr_seneca <obgr_seneca> 0.13.7-3.mga3
+ Revision: 270559
- Added missing require for python-greenlet

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 0.13.7-2.mga3
+ Revision: 266927
- rebuild against new libevent

* Tue May 29 2012 obgr_seneca <obgr_seneca> 0.13.7-1.mga3
+ Revision: 249191
- new version 0.13.7

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.13.6-1.mga2
+ Revision: 222990
- imported package python-gevent

